curl -X POST https://api.swervpay.co/api/v1/identity/bvn \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"number": "12345678901"
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.identity.bvn("<NUMBER>")
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->identity()->bvn("<NUMBER>")->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Identity.Bvn("<NUMBER>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"bvn": "<string>",
"date_of_birth": "<string>",
"email": "<string>",
"enrollment_bank": "<string>",
"enrollment_branch": "<string>",
"first_name": "<string>",
"gender": "<string>",
"last_name": "<string>",
"lga_of_Origin": "<string>",
"lga_of_residence": "<string>",
"marital_status": "<string>",
"middle_name": "<string>",
"nationality": "<string>",
"phone_number": "<string>",
"reference": "<string>",
"registration_date": "<string>",
"residential_address": "<string>",
"state_of_origin": "<string>",
"state_of_residence": "<string>",
"title": "<string>"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Identity
BVN Verification
BVN Verification
POST
/
identity
/
bvn
curl -X POST https://api.swervpay.co/api/v1/identity/bvn \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"number": "12345678901"
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.identity.bvn("<NUMBER>")
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->identity()->bvn("<NUMBER>")->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Identity.Bvn("<NUMBER>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"bvn": "<string>",
"date_of_birth": "<string>",
"email": "<string>",
"enrollment_bank": "<string>",
"enrollment_branch": "<string>",
"first_name": "<string>",
"gender": "<string>",
"last_name": "<string>",
"lga_of_Origin": "<string>",
"lga_of_residence": "<string>",
"marital_status": "<string>",
"middle_name": "<string>",
"nationality": "<string>",
"phone_number": "<string>",
"reference": "<string>",
"registration_date": "<string>",
"residential_address": "<string>",
"state_of_origin": "<string>",
"state_of_residence": "<string>",
"title": "<string>"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X POST https://api.swervpay.co/api/v1/identity/bvn \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"number": "12345678901"
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.identity.bvn("<NUMBER>")
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->identity()->bvn("<NUMBER>")->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Identity.Bvn("<NUMBER>")
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Was this page helpful?
⌘I